package middleware

import (
	"github.com/labstack/echo/v4"
	"github.com/labstack/echo/v4/middleware"
)

// Skipper defines a function to skip middleware. Returning true skips processing
// the middleware.
type Skipper = middleware.Skipper

// BeforeFunc defines a function which is executed just before the middleware.
type BeforeFunc = middleware.BeforeFunc

type ValuesExtractor = middleware.ValuesExtractor

type ToMiddleware interface {
	ToMiddleware() echo.MiddlewareFunc
}

// DefaultSkipper returns false which processes the middleware.
func DefaultSkipper(echo.Context) bool {
	return false
}
