package system

import (
	"sorbet/internal/services/system/controller"
	"sorbet/pkg/app"
)

type Service struct{}

func (*Service) Name() string {
	return "system"
}

func (*Service) Priority() int {
	return 3
}

func (s *Service) Init(ctx *app.Context) error {
	ctx.Routes(&controller.SystemLogController{})
	ctx.Routes(&controller.SystemMenuController{})
	ctx.Routes(&controller.SystemPermissionController{})
	ctx.Routes(&controller.SystemRoleController{})
	ctx.Routes(&controller.SystemRolePowerController{})
	ctx.Routes(&controller.SystemUserController{})
	return nil
}

func (s *Service) Bootstrap() error { return nil }
func (s *Service) Destroy() error   { return nil }
